// JavaScript file for https://www.ikz-berlin.de/~bickermann/*.html
// (c) 2021 P. and M. Bickermann
// v1.0 (May 6, 2021) - toggle dark and light modes; inital value from prefers-color-scheme media pref

var isDarkmode = localStorage.getItem("darkmode") ? (localStorage.getItem("darkmode") == "true") : window.matchMedia('(prefers-color-scheme: dark)').matches;

setDarkmode(isDarkmode);

function setDarkmode(dark) {
    isDarkmode = dark;
    document.documentElement.setAttribute("data-color-theme", dark ? "dark" : "light");
    localStorage.setItem("darkmode", dark);
}
