﻿// JavaScript file for https://www.ikz-berlin.de/~bickermann/[e-]publist.html
// (c) 2021 P. and M. Bickermann


// copied from https://stackoverflow.com/a/38294718
document.addEventListener("DOMContentLoaded", function(e) {
  Array.prototype.slice.call(document.querySelectorAll('.sortlist li')).sort(function(a, b) {
    return a.getAttribute('data-date').localeCompare(b.getAttribute('data-date'));
  }).forEach(function(currValue) {
    currValue.parentNode.appendChild(currValue);
  });
});

//this is a clone from sortlist.js
// if URL starts with "e-" it's the english version
isEnglish = () => document.location.toString().substring(document.location.toString().lastIndexOf("/") + 1).startsWith("e-");

document.addEventListener("DOMContentLoaded", event => {
    document.getElementById("nolink") && document.getElementById("nolink").addEventListener("click", event => {
        // bei onclick wird die id von withLink auf noLink geändert (bzw. zurück)
        if (event.target.id == "withlink") {
            event.target.innerText = isEnglish() ? "without links" : "ohne Links";
            event.target.id = "nolink";
            // these classes are not displayed anymore
            document.querySelectorAll(".iref, .oref").forEach(curr => {
                curr.style.display = "inline";
            });
        } else {
            event.target.innerText = isEnglish() ? "with links" : "mit Links";
            event.target.id = "withlink";
            // these classes are displayed again
            document.querySelectorAll(".tref, .pref, .iref, .oref").forEach(curr => {
                curr.style.display = "none";
            });
        }
    });

    //this is a clone from sortlist.js
    // interne links zu den Manuskript-PDFs anzeigen
    document.getElementById("super") && document.getElementById("super").addEventListener("click", event => {
        document.querySelectorAll(".tref, .pref").forEach(curr => {
            curr.style.display = "inline";
        });
    });
});

